#ifndef __USERINFO_H
#define __USERINFO_H

#include "auth-interface.h"

typedef struct {
	/* Returns TRUE if user/pass matches, and fills reply with user
	   information. reply should have been initialized (zeroed) before
	   calling this function. */
	int (*check_plain)(const char *user, const char *password,
			   AuthCookieReplyData *reply);

	void (*init)(const char *args);
	void (*deinit)(void);
} UserInfoModule;

extern UserInfoModule *userinfo;

extern UserInfoModule userinfo_passwd;
extern UserInfoModule userinfo_shadow;
extern UserInfoModule userinfo_pam;

void userinfo_init(void);
void userinfo_deinit(void);

#endif
