/*
    Copyright (C) 2002 Timo Sirainen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "common.h"
#include "commands.h"

int cmd_close(Client *client)
{
	if (!client_verify_open_mailbox(client))
		return TRUE;

	/* Ignore expunge errors - we can't really do anything about it */
	(void)client->mailbox->expunge(client->mailbox);

	client->mailbox->close(client->mailbox);
	client->mailbox = NULL;

	client_send_tagline(client, "OK Close completed.");
	return TRUE;
}
