/*
    Copyright (C) 2002 Timo Sirainen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "common.h"
#include "commands.h"

int cmd_delete(Client *client)
{
	const char *mailbox;

	/* <mailbox> */
	if (!client_read_string_args(client, 1, &mailbox))
		return FALSE;

	if (strcasecmp(mailbox, "INBOX") == 0) {
		/* INBOX can't be deleted */
		client_send_tagline(client, "NO INBOX can't be deleted.");
		return TRUE;
	}

	if (client->storage->delete_mailbox(client->storage, mailbox))
		client_send_tagline(client, "OK Delete completed.");
	else
		client_send_storage_error(client);
	return TRUE;
}
