#ifndef __IMAP_UTIL_H
#define __IMAP_UTIL_H

typedef enum {
	MAIL_ANSWERED		= 0x01,
	MAIL_FLAGGED		= 0x02,
	MAIL_DELETED		= 0x04,
	MAIL_SEEN		= 0x08,
	MAIL_DRAFT		= 0x10,
	MAIL_RECENT		= 0x20,

	MAIL_SYSTEM_FLAGS_MASK	= 0x3f
} MailFlags;

#define IS_ESCAPED_CHAR(c) ((c) == '"' || (c) == '\\')

/* Return flags as a space separated string */
const char *imap_write_flags(MailFlags flags);

/* Escape the string */
const char *imap_escape(const char *str);

/* wildcard match for LIST and LSUB. '*' matches any number of chars,
   '%' matches any number of chars but not hierarchy separator */
int imap_mailbox_mask_match(const char *name, const char *mask,
			    char hierarchy_separator);

#endif
