#ifndef __FAILURES_H
#define __FAILURES_H

typedef void (*FailureFunc) (const char *, va_list);

void i_panic(const char *format, ...) GNUC_PRINTF(1, 2);
void i_fatal(const char *format, ...) GNUC_PRINTF(1, 2);
void i_error(const char *format, ...) GNUC_PRINTF(1, 2);
void i_warning(const char *format, ...) GNUC_PRINTF(1, 2);

void i_set_panic_handler(FailureFunc func);
void i_set_fatal_handler(FailureFunc func);
void i_set_error_handler(FailureFunc func);
void i_set_warning_handler(FailureFunc func);

void i_syslog_panic_handler(const char *fmt, va_list args);
void i_syslog_fatal_handler(const char *fmt, va_list args);
void i_syslog_error_handler(const char *fmt, va_list args);
void i_syslog_warning_handler(const char *fmt, va_list args);

void failures_init(void);
void failures_deinit(void);

#endif
