#ifndef __SETTINGS_H
#define __SETTINGS_H

/* login */
extern const char *set_login_executable;
extern const char *set_login_user;
extern const char *set_login_chroot;
extern uid_t set_login_uid;
extern gid_t set_login_gid;

extern int set_login_processes_count;

/* imap */
extern const char *set_imap_executable;
extern const char *set_valid_chroot_dirs;

extern int set_first_valid_uid, set_last_valid_uid;
extern int set_first_valid_gid, set_last_valid_gid;

/* auth */
typedef struct _AuthConfig AuthConfig;

struct _AuthConfig {
	AuthConfig *next;

	const char *name;
	const char *methods;
	const char *userinfo, *userinfo_args;
	const char *executable;
	const char *user;
	const char *chroot;

	int count;
};

extern AuthConfig *auth_processes_config;

void settings_read(void);

#endif
